package dkohl.bayes.statistic;

import java.util.HashMap;

import dkohl.bayes.probability.Assignment;

/**
 * A data point or feature vector, that keeps observations.
 * 
 * @author Daniel Kohlsdorf
 */
public class DataPoint extends HashMap<String, Assignment> {

	private static final long serialVersionUID = 1L;

	public DataPoint(DataPoint point) {
		putAll(point);
	}

	public DataPoint() {
	}

	public void add(Assignment assignment) {
		put(assignment.getVariable().getName(), assignment);
	}

}